### Hierarchy

- Permission

## Index

### Constructors

- constructor

### Properties

- ability
- can
- canArray
- cannot
- cannotArray
- change
- conditions
- displayDefault
- el
- permissions
- roles
- rules
- rulesJson
- subject

### Methods

- componentDidLoad
- componentDidUpdate
- getRules
- parsePermissions
- render
- setPermissionService
- setRules
- update

## Constructors

### constructor

- new Permission(): Permission

- - Defined in permission/permission.tsx:30

  #### Returns Permission

## Properties

### ability

ability: Ability

- Defined in permission/permission.tsx:10

### can

can: string = "["read"]"

- Defined in permission/permission.tsx:21

### canArray

canArray: any[]

- Defined in permission/permission.tsx:11

### cannot

cannot: string

- Defined in permission/permission.tsx:22

### cannotArray

cannotArray: any[]

- Defined in permission/permission.tsx:12

### change

change: EventEmitter

- Defined in permission/permission.tsx:30

### conditions

conditions: string

- Defined in permission/permission.tsx:24

### displayDefault

displayDefault: string

- Defined in permission/permission.tsx:13

### el

el: HTMLElement

- Defined in permission/permission.tsx:17

### permissions

permissions: PermissionsService

- Defined in permission/permission.tsx:14

### roles

roles: string[] = ['ANONYMOUS']

- Defined in permission/permission.tsx:15

### rules

rules: any[] = []

- Defined in permission/permission.tsx:19

### rulesJson

rulesJson: string

- Defined in permission/permission.tsx:25

### subject

subject: string = "all"

- Defined in permission/permission.tsx:23

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in permission/permission.tsx:37

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in permission/permission.tsx:42

  #### Returns void

### getRules

- getRules(): any[]

- - Defined in permission/permission.tsx:53

  #### Returns any[]

### parsePermissions

- parsePermissions(): void

- - Defined in permission/permission.tsx:67

  #### Returns void

### render

- render(): Element

- - Defined in permission/permission.tsx:81

  #### Returns Element

### setPermissionService

- setPermissionService(instance: any): void

- - Defined in permission/permission.tsx:47

  #### Parameters

  - ##### instance: any

  #### Returns void

### setRules

- setRules(rules: any[]): void

- - Defined in permission/permission.tsx:58

  #### Parameters

  - ##### rules: any[]

  #### Returns void

### update

- update(): void

- - Defined in permission/permission.tsx:63

  #### Returns void